> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.itential.com/itential-cloud/api-reference/workflow-engine/get-mock/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server. # Get task mock GET https://example.itential.io/workflow_engine/mocks/tasks/{mockId} Retrieves a specific task mock by its ID. Reference: https://docs.itential.com/itential-cloud/api-reference/workflow-engine/get-mock ## Authentication - `Authorization` header (basic auth, required) — Basic authentication of the form `Basic `. ## Request ### Path parameters - `mockId` (string, required) — The unique identifier of the task mock to retrieve ## Response ### 200 The task mock object retrieved by ID - `_id` (string, required) — The unique identifier for the mock task - `name` (string, required) — The name of the mock task - `description` (string, required) — A description of the mock task - `serviceType` (enum, required) — Whether or not the mock is for an adapter or application service - Allowed values: `Application`, `Adapter` - `serviceName` (string, required) — The adapter or application service name that contains the method to mock - `method` (string, required) — The name of the method that is being mocked - `finishState` (enum, required) — The finish state of the mock - Allowed values: `success`, `failure`, `error` - `delay` (integer, required) — The number of seconds to delay the completion of the mock - `response` (list of any or boolean or integer or double or map from string to any or string, required, nullable) — The response for the mock that matches the return value for the task method - `created` (string, required) — The date and time when the mock was created - `createdBy` (string, required) — The id of user who created the mock task - `lastUpdated` (string, optional) — The date and time when the mock was last updated - `lastUpdatedBy` (string, optional) — The id of user who last updated the mock task ## Errors ### 500 Internal Server Error Error response from API - `any` ## Examples **Response** ```json { "_id": "string", "name": "string", "description": "string", "serviceType": "Application", "serviceName": "string", "method": "string", "finishState": "success", "delay": 1, "response": {}, "created": "2024-01-15T09:30:00Z", "createdBy": "string", "lastUpdated": "2024-01-15T09:30:00Z", "lastUpdatedBy": "string" } ``` **SDK Code** ```python import requests url = "https://example.itential.io/workflow_engine/mocks/tasks/mockId" response = requests.get(url) print(response.json()) ``` ```javascript const url = 'https://example.itential.io/workflow_engine/mocks/tasks/mockId'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://example.itential.io/workflow_engine/mocks/tasks/mockId" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://example.itential.io/workflow_engine/mocks/tasks/mockId") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://example.itential.io/workflow_engine/mocks/tasks/mockId") .asString(); ``` ```php request('GET', 'https://example.itential.io/workflow_engine/mocks/tasks/mockId'); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://example.itential.io/workflow_engine/mocks/tasks/mockId"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/workflow_engine/mocks/tasks/mockId")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```